AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
License: Apache-2.0
AuthorName: wulkanowy
AuthorEmail: wulkanowyinc@gmail.com
WebSite: https://wulkanowy.github.io
SourceCode: https://github.com/wulkanowy/wulkanowy
IssueTracker: https://github.com/wulkanowy/wulkanowy/issues
Changelog: https://github.com/wulkanowy/wulkanowy/releases
Donate: https://www.paypal.me/wulkanowy

AutoName: Wulkanowy
Description: |-
    * calculation of the weighted average
    * percentage attendance preview
    * lucky number
    * preview of completed lessons
    * dark theme
    * no ads
    * offline mode
    * notifications

RepoType: git
Repo: https://github.com/wulkanowy/wulkanowy

Builds:
  - versionName: 0.9.1
    versionCode: 39
    commit: 0.9.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.9.2
    versionCode: 40
    commit: 0.9.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.9.3
    versionCode: 41
    commit: 0.9.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' ../build.gradle build.gradle

  - versionName: 0.10.2
    versionCode: 45
    commit: 0.10.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.11.0
    versionCode: 46
    commit: 0.11.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.12.0
    versionCode: 47
    commit: 0.12.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.13.0
    versionCode: 48
    commit: 0.13.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.14.0
    versionCode: 49
    commit: 0.14.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.14.1
    versionCode: 50
    commit: 0.14.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.14.2
    versionCode: 51
    commit: 0.14.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.15.0
    versionCode: 52
    commit: 0.15.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.16.0
    versionCode: 53
    disable: fails to build
    commit: 0.16.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        -e '/bintray.com\/mockito/d' -e 's/mockito-\(.*\):3\.0\.7/mockito-\1:3.0.0/g'
        -e 's/mockito_core = "3.0.7"/mockito_core = "3.0.0"/' ../build.gradle build.gradle

  - versionName: 0.17.0
    versionCode: 54
    commit: 0.17.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

  - versionName: 0.17.1
    versionCode: 55
    commit: 0.17.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

  - versionName: 0.17.2
    versionCode: 56
    commit: 0.17.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

  - versionName: 0.17.4
    versionCode: 57
    commit: 0.17.4
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

  - versionName: 0.18.0
    versionCode: 59
    commit: 0.18.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

  - versionName: 0.18.1
    versionCode: 60
    commit: 0.18.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/io.fabric/d'
        -e '/com.crashlytics/d' -e '/maven.fabric.io/d' -e '/kotlin.bintray.com/d'
        ../build.gradle build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 0.18.1
CurrentVersionCode: 60
